Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\View\ViewEvents Class Reference

Events constants of views. More...

## Public Attributes
const | FILTER_BUILDER_PARAMETERS = 'view.builder_parameter_collection'
| Dispatched before the ViewBuilder is called to collect the ViewBuilder parameters. More...
const | FILTER_VIEW_PARAMETERS = 'view.parameters_injection'
| Dispatched before ViewParameters are injected into a View to collect the view parameters. More...

## Detailed Description

Events constants of views.

Definition at line 12 of file ViewEvents.php.

## Member Data Documentation

## ◆ FILTER_BUILDER_PARAMETERS

const eZ\Publish\Core\MVC\Symfony\View\ViewEvents::FILTER_BUILDER_PARAMETERS = 'view.builder_parameter_collection'

Dispatched before the ViewBuilder is called to collect the ViewBuilder parameters.

Listeners receive a FilterViewBuilderParametersEvent, that gives access to the Request object. The default listener will add all the request attributes. Extra listeners could for instance add custom builder attributes based on the request headers.

Definition at line 21 of file ViewEvents.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ViewControllerListener\getController(), and eZ\Publish\Core\MVC\Symfony\View\Builder\ParametersFilter\RequestAttributes\getSubscribedEvents().

## ◆ FILTER_VIEW_PARAMETERS

const eZ\Publish\Core\MVC\Symfony\View\ViewEvents::FILTER_VIEW_PARAMETERS = 'view.parameters_injection'

Dispatched before ViewParameters are injected into a View to collect the view parameters.

Receives a ViewParameterFilterEvent, that gives access to a copy of the View as well as the builder input parameters. Listeners can modify the parameters that will be injected as view parameters, and made available in controller and templates.

Definition at line 30 of file ViewEvents.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\BlockValidContentInfoItemsListener\getSubscribedEvents(), eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\Block\ValidItems\getSubscribedEvents(), eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\CustomParameters\getSubscribedEvents(), eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EmbedObjectParameters\getSubscribedEvents(), eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\NoLayout\getSubscribedEvents(), eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\ValueObjectsIds\getSubscribedEvents(), eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\ViewbaseLayout\getSubscribedEvents(), and eZ\Publish\Core\MVC\Symfony\View\ParametersInjector\EventDispatcherInjector\injectViewParameters().

The documentation for this class was generated from the following file:

- ViewEvents.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.